## pgagent 4.2.1~20220624.1206-2~1.git6c687af.pgdg120+1

=== debian/changelog ===
pgagent (4.2.1~20220624.1206-2~1.git6c687af.pgdg120+1) bookworm-pgdg; urgency=medium

  * Rebuild for bookworm-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Fri, 15 Oct 2021 16:23:31 +0200
