=== debian/changelog ===
pgagent (4.2.2-4) unstable; urgency=medium

  * Upload for PostgreSQL 17.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Sep 2024 10:31:07 +0200

pgagent (4.2.2-3) unstable; urgency=medium

  * Upload for PostgreSQL 16.

 -- Christoph Berg <myon@debian.org>  Mon, 18 Sep 2023 23:11:27 +0200

pgagent (4.2.2-2) unstable; urgency=medium

  * Upload for PostgreSQL 15.

 -- Christoph Berg <myon@debian.org>  Sat, 22 Oct 2022 14:24:52 +0200

pgagent (4.2.2-1) unstable; urgency=medium

  * New upstream version.
  * Repoint watch file at https://github.com/pgadmin-org/pgagent/tags.

 -- Christoph Berg <myon@debian.org>  Tue, 20 Sep 2022 16:41:21 +0200
