=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
  cmake (>= 3.3),
- debhelper (>= 10),
+ debhelper-compat (= 13),
  libboost-date-time-dev,
  libboost-dev,
  libboost-filesystem-dev,
@@ -13,7 +13,7 @@
  libboost-thread-dev,
  libpq-dev (>= 8.1),
  postgresql-all,
-Standards-Version: 4.5.0
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://www.pgadmin.org/docs/dev/pgagent.html
 Vcs-Git: https://salsa.debian.org/postgresql/pgagent.git
