=== pgaevent/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #######################################################################
 #
 # pgAgent - PostgreSQL tools
-# Copyright (C) 2002 - 2021, The pgAdmin Development Team
+# Copyright (C) 2002 - 2024, The pgAdmin Development Team
 # This software is released under the PostgreSQL Licence
 #
 # pgaevent/CMakeLists.txt - CMake build configuration
