=== test/Makefile ===
PG_CONFIG = pg_config
REGRESS = init job
PGXS = $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)
