=== debian/changelog ===
pgagent (4.2.3-4) unstable; urgency=medium

  * Fix compatibility with cmake 4. (Closes: #1113401)

 -- Christoph Berg <myon@debian.org>  Mon, 13 Oct 2025 07:57:27 +0000

pgagent (4.2.3-3) unstable; urgency=medium

  * Upload for PostgreSQL 18.

 -- Christoph Berg <myon@debian.org>  Thu, 09 Oct 2025 11:49:46 +0200

pgagent (4.2.3-2) unstable; urgency=medium

  * Update Homepage, thanks Andreas Henriksson. (Closes: #1098491)

 -- Christoph Berg <myon@debian.org>  Wed, 26 Feb 2025 18:05:57 +0100

pgagent (4.2.3-1) unstable; urgency=medium

  * New upstream version 4.2.3 (Closes: 1092677, CVE-2025-0218).

 -- Christoph Berg <myon@debian.org>  Fri, 10 Jan 2025 18:23:20 +0100
