=== debian/watch ===
version=3

opts="uversionmangle=s/_/./g" \
https://github.com/pgadmin-org/pgagent/tags .*/(?:REL|pgagent)-(.*).tar.gz
